import { SerializerExtension, SerializeContext, DefaultSerializeFunction, SerializationType, Maybe } from '@sqb/builder';
export declare class PostgresSerializer implements SerializerExtension {
    dialect: string;
    isReservedWord(ctx: any, s: any): any;
    serialize(ctx: SerializeContext, type: SerializationType | string, o: any, defFn: DefaultSerializeFunction): Maybe<string>;
    private _serializeSelect;
    private _serializeComparison;
    private _serializeParameter;
}
